🚧 [Experimental] Update Trino cluster
Updates the fields of a Trino cluster named in the update mask (worker configuration, version, retry policy, attached REST catalogs) and returns an asynchronous operation.
Request
POST
https://api.datalens.tech/rpc/updateTrinoCluster
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"id": "example",
"updateMask": {
"paths": [
"worker_config"
]
},
"workerConfig": {
"resources": {
"resourcePresetId": "example"
},
"scalePolicy": {
"autoScale": {
"minCount": "example",
"maxCount": "example"
}
}
},
"trinoVersion": "example",
"retryPolicy": {
"policy": "QUERY"
},
"catalogIds": [
"example"
]
}
|
Name |
Description |
||||||||||||
|
id |
Type: string ID of the Trino cluster to update. Min length: Max length: Example: |
||||||||||||
|
updateMask |
Type: object
Fields of the Trino cluster to update; the others are left as they are. Example
|
||||||||||||
|
catalogIds |
Type: string[] IDs of all REST catalogs attached to the cluster after the update. Max items: Example
|
||||||||||||
|
retryPolicy |
Type: object
Retry policy. Name retry_policy in the update mask and leave this field out to take the policy off the cluster. Example
|
||||||||||||
|
trinoVersion |
Type: string Trino version. Example: |
||||||||||||
|
workerConfig |
Type: object
Worker nodes configuration. Example
|
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdBy": "example",
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"done": true,
"metadata": {},
"error": {
"code": 0.5,
"message": "example",
"details": [
null
]
},
"response": {}
}
|
Name |
Description |
||||||
|
done |
Type: boolean Whether the operation has completed. |
||||||
|
id |
Type: string Unique ID of the operation. Example: |
||||||
|
metadata |
Type: object
Service-specific operation metadata. Example
|
||||||
|
createdAt |
Type: object
Time when the operation was created. Example
|
||||||
|
createdBy |
Type: string ID of the operation creator. Example: |
||||||
|
description |
Type: string Description of the operation. Example: |
||||||
|
error |
Type: object
Operation error, if the operation failed. Example
|
||||||
|
modifiedAt |
Type: object
Time when the operation was last modified. Example
|
||||||
|
response |
Type: object
Service-specific operation response. Example
|